public final class CreateShortDynamicLinkRequest extends GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the Firebase Dynamic Links API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
CreateShortDynamicLinkRequest() |
| Modifier and Type | Method and Description |
|---|---|
CreateShortDynamicLinkRequest |
clone() |
DynamicLinkInfo |
getDynamicLinkInfo()
Information about the Dynamic Link to be shortened.
|
String |
getLongDynamicLink()
Full long Dynamic Link URL with desired query parameters specified.
|
String |
getSdkVersion()
Google SDK version.
|
Suffix |
getSuffix()
Short Dynamic Link suffix.
|
CreateShortDynamicLinkRequest |
set(String fieldName,
Object value) |
CreateShortDynamicLinkRequest |
setDynamicLinkInfo(DynamicLinkInfo dynamicLinkInfo)
Information about the Dynamic Link to be shortened.
|
CreateShortDynamicLinkRequest |
setLongDynamicLink(String longDynamicLink)
Full long Dynamic Link URL with desired query parameters specified.
|
CreateShortDynamicLinkRequest |
setSdkVersion(String sdkVersion)
Google SDK version.
|
CreateShortDynamicLinkRequest |
setSuffix(Suffix suffix)
Short Dynamic Link suffix.
|
getFactory, setFactory, toPrettyString, toStringentrySet, equals, get, getClassInfo, getUnknownKeys, hashCode, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic DynamicLinkInfo getDynamicLinkInfo()
null for nonepublic CreateShortDynamicLinkRequest setDynamicLinkInfo(DynamicLinkInfo dynamicLinkInfo)
dynamicLinkInfo - dynamicLinkInfo or null for nonepublic String getLongDynamicLink()
null for nonepublic CreateShortDynamicLinkRequest setLongDynamicLink(String longDynamicLink)
longDynamicLink - longDynamicLink or null for nonepublic String getSdkVersion()
null for nonepublic CreateShortDynamicLinkRequest setSdkVersion(String sdkVersion)
sdkVersion - sdkVersion or null for nonepublic Suffix getSuffix()
null for nonepublic CreateShortDynamicLinkRequest setSuffix(Suffix suffix)
suffix - suffix or null for nonepublic CreateShortDynamicLinkRequest set(String fieldName, Object value)
set in class GenericJsonpublic CreateShortDynamicLinkRequest clone()
clone in class GenericJsonCopyright © 2011–2020 Google. All rights reserved.